Airtime history
GET
/airtime-api/historyPaginated list of airtime top-ups, newest first.
Parameters
pagequeryintegeroptionalPage number, starting at 1.
page_sizequeryintegeroptionalRows per page, 1 to 100. Default 15.
| Field | Type | Required | Description |
|---|---|---|---|
pagequery | integer | optional | Page number, starting at 1. |
page_sizequery | integer | optional | Rows per page, 1 to 100. Default 15. |
Request
curl -X GET "https://api.bulkclix.com/api/v1/airtime-api/history?page_size=25" \ -H "x-api-key: YOUR_API_KEY" \ -H "Accept: application/json"
Response · 200
application/json
{ "data": [ { "id": "…", "amount": "10.00", "date": "09/22/2026", "time": "10:04 AM", "phone_number": "233241234567", "name": "User", "network": "MTN Airtime", "status": "success", "transaction_id": "AT-7f3a9c" } ], "links": { "first": "…", "last": "…", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "per_page": 25, "to": 1, "total": 1 } }